Dt/SpinBox.h(file formats)

NAME
Dt/SpinBox.h — DtSpinBox widget definitions

SYNOPSIS

#include &<Dt/SpinBox.h>

DESCRIPTION

The Dt/SpinBox.h header defines the following structure:

typedef struct {
        int reason;
        XEvent *event;
        Widget widget;
        Boolean doit;
        int position;
        XmString value;
        Boolean crossed_boundary;
} DtSpinBoxCallbackStruct;

The header declares the following constants:

DtARROWS_FLAT_BEGINNING
DtARROWS_FLAT_END
DtARROWS_SPLIT
DtARROWS_BEGINNING
DtARROWS_END
DtARROWS_SENSITIVE
DtARROWS_DECREMENT_SENSITIVE
DtARROWS_INCREMENT_SENSITIVE
DtARROWS_INSENSITIVE
DtNUMERIC
DtALIGNMENT_BEGINNING
DtALIGNMENT_CENTER
DtALIGNMENT_END
DtCR_SPIN_NEXT
DtCR_SPIN_PRIOR

The header declares the following as functions:

void DtSpinBoxAddItem(Widget w,
        XmString item,
        int pos);

void DtSpinBoxDeletePos(Widget w,
        int pos);

void DtSpinBoxSetItem(Widget w,
        XmString item);